/*
 * media-test - Simple utility for testing various memory media
 * Copyright (C) 2004 Ales Hakl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef H_unix__
#define H_unix__

#include <sys/types.h>
#include "tester.h"

extern void unix_fill_context(test_context_t* context);
extern void unix_fill_context_direct(test_context_t* context);

extern int unix_init(void**pdata, char*prm);
extern int unix_init_direct(void**pdata, char*prm);
extern int unix_done(void*pdata);
extern int unix_alloc(void*pdata, size_t length);
extern int unix_alloc_direct(void*pdata, size_t length);
extern int unix_free(void*pdata);
extern off_t unix_blast(void*pdata);
extern int unix_bread(void*pdata, off_t start);

#endif
