<?xml version="1.0" ?>
<!-- 
 * media-test - Simple utility for testing various memory media
 * Copyright (C) 2004 Ales Hakl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		version="1.0"
		xmlns:exsl="http://exslt.org/common"
		extension-element-prefixes="exsl">

  <xsl:import href="table.xsl" />

  <xsl:template match="/report">
    <xsl:if test="not(element-available('exsl:document'))">
      <xsl:message terminate="yes">
	Baka!!
      </xsl:message>
    </xsl:if>
    <exsl:document href="index.html" method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
      <xsl:processing-instruction name="xml-stylesheet">href="style.css" type="text/css"</xsl:processing-instruction>
      <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
	  <title><xsl:value-of select="title"/></title>
	  <link rel="stylesheet" href="style.css" />
	</head>
	<body>
	  <h1><xsl:value-of select="title"/></h1>
	  <p><xsl:value-of select="description"/></p>
	  <xsl:for-each select="table">
	    <h2><xsl:value-of select="@title" /></h2>
	    <h3>Offset / Read time</h3>
	    <img src="{concat(substring-before(@href,'.'),'.png')}" 
		 alt="Plot: Offset / Read time"/>
	    <br />

	    <a href="{concat(substring-before(@href,'.'),'.ps')}">Postscript version</a> | <a href="{concat(substring-before(@href,'.'),'.plot')}">Gnuplot data</a>
	    <xsl:if test="document(@href,.)/media-test/@mode='random'">
	      <h3>Seek distance / Read time</h3>
	      <img src="{concat(substring-before(@href,'.'),'-distance.png')}" 
		   alt="Plot: Seek distance / Read time"/>
	    <br />

	      <a href="{concat(substring-before(@href,'.'),'-distance.ps')}">Postscript version</a> | <a href="{concat(substring-before(@href,'.'),'-distance.plot')}">Gnuplot data</a>
	    </xsl:if>
	    | 
	    <a href="{concat(substring-before(@href,'.'),'.html')}">Values</a> |
	    <a href="{@href}">XML</a>
	    <xsl:apply-templates select="document(@href,.)/media-test/header" />

	    <exsl:document href="{concat(substring-before(@href,'.'),'.html')}" 
			   method="xml"
			   doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
			   doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
	      <xsl:apply-templates select="document(@href,.)" />
	    </exsl:document>
	    <exsl:document href="{concat(substring-before(@href,'.'),'.plot')}" 
			   method="text"
			   omit-xml-declaration="yes">
	      <xsl:for-each select="document(@href,.)/media-test/block">
		<xsl:value-of select="start" />
		<xsl:text> </xsl:text>
		<xsl:value-of select="time" /><xsl:text>
</xsl:text>
	      </xsl:for-each>
	    </exsl:document>
	    <xsl:if test="document(@href,.)/media-test/@mode='random'">
	      <exsl:document href="{concat(substring-before(@href,'.'),'-distance.plot')}" 
			     method="text"
			     omit-xml-declaration="yes">
		<xsl:for-each select="document(@href,.)/media-test/block">
		  <xsl:value-of select="distance" />
		  <xsl:text> </xsl:text>
		  <xsl:value-of select="time" /><xsl:text>
		  </xsl:text>
		</xsl:for-each>
	      </exsl:document>
	    </xsl:if>
	  </xsl:for-each>
	</body>
      </html>
    </exsl:document>
  </xsl:template>
</xsl:stylesheet>